Bug 967340 - google-talkplugin causes crash in webkitgtk3
google-talkplugin causes crash in webkitgtk3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 972515 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 13:52 EDT by Harold Campbell
Modified: 2013-06-11 02:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 06:22:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harold Campbell 2013-05-26 13:52:35 EDT
Description of problem:
Evolution crashes on startup. I get this in dmesg:

[  246.961142] evolution[4302]: segfault at bbadbeef ip 0000003456671c6d sp 00007fff2eb5cb20 error 6 in libjavascriptcoregtk-3.0.so.0.13.14[3456200000+559000]

And here's the stacktrace I get from starting in the console
$ evolution
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:007] Using Gtk2 toolkit
1   0x3456671c63 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10fastMallocEm+0x2c3) [0x3456671c63]
2   0x3456696950 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10StringImpl19createUninitializedEjRPh+0x20) [0x3456696950]
3   0x3456699f2c /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10StringImpl6createEPKhj+0x2c) [0x3456699f2c]
4   0x3456699fb0 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10StringImpl6createEPKh+0x30) [0x3456699fb0]
5   0x345669d177 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF6StringC2EPKc+0x17) [0x345669d177]
6   0x345aa6276f /lib64/libwebkitgtk-3.0.so.0() [0x345aa6276f]
7   0x345a1ab5c6 /lib64/libwebkitgtk-3.0.so.0() [0x345a1ab5c6]
8   0x345a1a5585 /lib64/libwebkitgtk-3.0.so.0() [0x345a1a5585]
9   0x345a1a6692 /lib64/libwebkitgtk-3.0.so.0() [0x345a1a6692]
10  0x3459a3ca7a /lib64/libwebkitgtk-3.0.so.0() [0x3459a3ca7a]
11  0x342562fa9c /lib64/libgobject-2.0.so.0(g_type_create_instance+0x19c) [0x342562fa9c]
12  0x3425614598 /lib64/libgobject-2.0.so.0() [0x3425614598]
13  0x3425616011 /lib64/libgobject-2.0.so.0(g_object_newv+0x751) [0x3425616011]
14  0x342561666c /lib64/libgobject-2.0.so.0(g_object_new+0xec) [0x342561666c]
15  0x3459a3cd95 /lib64/libwebkitgtk-3.0.so.0(webkit_web_plugin_database_new+0x15) [0x3459a3cd95]
16  0x3459a27225 /lib64/libwebkitgtk-3.0.so.0(webkit_get_web_plugin_database+0x25) [0x3459a27225]
17  0x343af4a9bb /usr/lib64/evolution/3.8/libeutil.so() [0x343af4a9bb]
18  0x3424a6c2e8 /lib64/libglib-2.0.so.0(g_once_impl+0x58) [0x3424a6c2e8]
19  0x343af4f995 /usr/lib64/evolution/3.8/libeutil.so() [0x343af4f995]
20  0x342562fa50 /lib64/libgobject-2.0.so.0(g_type_create_instance+0x150) [0x342562fa50]
21  0x3425614598 /lib64/libgobject-2.0.so.0() [0x3425614598]
22  0x3425615b19 /lib64/libgobject-2.0.so.0(g_object_newv+0x259) [0x3425615b19]
23  0x34256162e6 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x1b6) [0x34256162e6]
24  0x3425616654 /lib64/libgobject-2.0.so.0(g_object_new+0xd4) [0x3425616654]
25  0x7f970e0a5fb1 /usr/lib64/evolution/3.8/libevolution-mail.so(+0x62fb1) [0x7f970e0a5fb1]
26  0x3425615f95 /lib64/libgobject-2.0.so.0(g_object_newv+0x6d5) [0x3425615f95]
27  0x34256162e6 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x1b6) [0x34256162e6]
28  0x3425616654 /lib64/libgobject-2.0.so.0(g_object_new+0xd4) [0x3425616654]
29  0x7f970d1c7792 /usr/lib64/evolution/3.8/modules/module-mail.so(+0x16792) [0x7f970d1c7792]
30  0x3425615f95 /lib64/libgobject-2.0.so.0(g_object_newv+0x6d5) [0x3425615f95]
31  0x34256162e6 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x1b6) [0x34256162e6]
Segmentation fault

Version-Release number of selected component (if applicable):

evolution-3.8.2-1.fc19.x86_64


How reproducible:

Almost every time. Evolution did start once.

Additional info:

Installation updated from Fedora 18 via fedup yesterday.
Comment 1 Milan Crha 2013-05-31 12:29:32 EDT
Thanks for a bug report. It seems to me that the webkitgtk3 update didn't went well. Could you install debug info pckages for evolution and webkitgtk3, and run evolution under gdb like this:

   $ gdb evolution --ex r --ex "t a a bt" --ex q

then get the backtrace with debug symbols (beware of passwords, and other sensitive data), and paste it here, together with a webkitgtk3 version you've installed, please?

I'm on Fedora 19 too, with
   webkitgtk3-2.0.2-1.fc19.x86_64
and I do not experience any crash on evolution's start.
Comment 2 Harold Campbell 2013-05-31 15:07:32 EDT
$ rpm -q webkitgtk3
webkitgtk3-2.0.2-1.fc19.x86_64

GNU gdb (GDB) Fedora (7.6-30.fc19)
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3600.2-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
[New Thread 0x7fffef83e700 (LWP 29844)]
[New Thread 0x7fffee7c4700 (LWP 29845)]
[New Thread 0x7fffedd77700 (LWP 29846)]
[New Thread 0x7fffed576700 (LWP 29847)]
Detaching after fork from child process 29849.
[New Thread 0x7fffd5cf9700 (LWP 29848)]
[New Thread 0x7fffd4d6d700 (LWP 29854)]
[New Thread 0x7fffc8ffe700 (LWP 29855)]
[New Thread 0x7fffc3fff700 (LWP 29856)]
[New Thread 0x7fffc37fe700 (LWP 29857)]
[New Thread 0x7fffc2ffd700 (LWP 29858)]
[New Thread 0x7fffc27fc700 (LWP 29859)]
[New Thread 0x7fffc1ffb700 (LWP 29860)]
[New Thread 0x7fffc17fa700 (LWP 29861)]
[New Thread 0x7fffc0ff9700 (LWP 29862)]
[New Thread 0x7fffa7fff700 (LWP 29863)]
[New Thread 0x7fffa77fe700 (LWP 29864)]
[New Thread 0x7fffa6ffd700 (LWP 29865)]
[New Thread 0x7fffa67fc700 (LWP 29866)]
[New Thread 0x7fffa5ffb700 (LWP 29867)]
[New Thread 0x7fffa57fa700 (LWP 29868)]
[New Thread 0x7fffa4ff9700 (LWP 29873)]
[New Thread 0x7fff97fff700 (LWP 29875)]
[Thread 0x7fffc17fa700 (LWP 29861) exited]
[Thread 0x7fffc27fc700 (LWP 29859) exited]
[Thread 0x7fffc0ff9700 (LWP 29862) exited]
[Thread 0x7fffa77fe700 (LWP 29864) exited]
[Thread 0x7fffa57fa700 (LWP 29868) exited]
[Thread 0x7fffa6ffd700 (LWP 29865) exited]
[Thread 0x7fffa5ffb700 (LWP 29867) exited]
[Thread 0x7fffa7fff700 (LWP 29863) exited]
[Thread 0x7fffd5cf9700 (LWP 29848) exited]
[New Thread 0x7fffd5cf9700 (LWP 29876)]
[New Thread 0x7fffa7fff700 (LWP 29877)]
[Thread 0x7fffa7fff700 (LWP 29877) exited]
[New Thread 0x7fffa7fff700 (LWP 29878)]
[New Thread 0x7fffa5ffb700 (LWP 29880)]
[New Thread 0x7fffa6ffd700 (LWP 29881)]
[Thread 0x7fffa7fff700 (LWP 29878) exited]
No bp log location saved, using default.
[000:000] Browser XEmbed support present: 1
[000:001] Browser toolkit is Gtk2.
[000:585] Using Gtk2 toolkit
[New Thread 0x7fffa7fff700 (LWP 29887)]
[New Thread 0x7fffa77fe700 (LWP 29889)]
[Thread 0x7fffa67fc700 (LWP 29866) exited]
[Thread 0x7fffc3fff700 (LWP 29856) exited]
[Thread 0x7fffd5cf9700 (LWP 29876) exited]
[Thread 0x7fffc1ffb700 (LWP 29860) exited]
Detaching after fork from child process 29890.
[New Thread 0x7fffc1ffb700 (LWP 29892)]
[New Thread 0x7fffd5cf9700 (LWP 29893)]
[New Thread 0x7fffc3fff700 (LWP 29894)]
Detaching after fork from child process 29896.
1   0x31e0471c63 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10fastMallocEm+0x2c3) [0x31e0471c63]
2   0x31e0496950 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10StringImpl19createUninitializedEjRPh+0x20) [0x31e0496950]
3   0x31e0499f2c /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10StringImpl6createEPKhj+0x2c) [0x31e0499f2c]
4   0x31e0499fb0 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF10StringImpl6createEPKh+0x30) [0x31e0499fb0]
5   0x31e049d177 /lib64/libjavascriptcoregtk-3.0.so.0(_ZN3WTF6StringC2EPKc+0x17) [0x31e049d177]
6   0x31e246276f /lib64/libwebkitgtk-3.0.so.0() [0x31e246276f]
7   0x31e1bab5c6 /lib64/libwebkitgtk-3.0.so.0() [0x31e1bab5c6]
8   0x31e1ba5585 /lib64/libwebkitgtk-3.0.so.0() [0x31e1ba5585]
9   0x31e1ba6692 /lib64/libwebkitgtk-3.0.so.0() [0x31e1ba6692]
10  0x31e143ca7a /lib64/libwebkitgtk-3.0.so.0() [0x31e143ca7a]
11  0x31cf82fa9c /lib64/libgobject-2.0.so.0(g_type_create_instance+0x19c) [0x31cf82fa9c]
12  0x31cf814598 /lib64/libgobject-2.0.so.0() [0x31cf814598]
13  0x31cf816011 /lib64/libgobject-2.0.so.0(g_object_newv+0x751) [0x31cf816011]
14  0x31cf81666c /lib64/libgobject-2.0.so.0(g_object_new+0xec) [0x31cf81666c]
15  0x31e143cd95 /lib64/libwebkitgtk-3.0.so.0(webkit_web_plugin_database_new+0x15) [0x31e143cd95]
16  0x31e1427225 /lib64/libwebkitgtk-3.0.so.0(webkit_get_web_plugin_database+0x25) [0x31e1427225]
17  0x31df14a9bb /usr/lib64/evolution/3.8/libeutil.so() [0x31df14a9bb]
18  0x3424a6c2e8 /lib64/libglib-2.0.so.0(g_once_impl+0x58) [0x3424a6c2e8]
19  0x31df14f995 /usr/lib64/evolution/3.8/libeutil.so() [0x31df14f995]
20  0x31cf82fa50 /lib64/libgobject-2.0.so.0(g_type_create_instance+0x150) [0x31cf82fa50]
21  0x31cf814598 /lib64/libgobject-2.0.so.0() [0x31cf814598]
22  0x31cf815b19 /lib64/libgobject-2.0.so.0(g_object_newv+0x259) [0x31cf815b19]
23  0x31cf8162e6 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x1b6) [0x31cf8162e6]
24  0x31cf816654 /lib64/libgobject-2.0.so.0(g_object_new+0xd4) [0x31cf816654]
25  0x7fffdf0e8fb1 /usr/lib64/evolution/3.8/libevolution-mail.so(+0x62fb1) [0x7fffdf0e8fb1]
26  0x31cf815f95 /lib64/libgobject-2.0.so.0(g_object_newv+0x6d5) [0x31cf815f95]
27  0x31cf8162e6 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x1b6) [0x31cf8162e6]
28  0x31cf816654 /lib64/libgobject-2.0.so.0(g_object_new+0xd4) [0x31cf816654]
29  0x7fffde41a792 /usr/lib64/evolution/3.8/modules/module-mail.so(+0x16792) [0x7fffde41a792]
30  0x31cf815f95 /lib64/libgobject-2.0.so.0(g_object_newv+0x6d5) [0x31cf815f95]
31  0x31cf8162e6 /lib64/libgobject-2.0.so.0(g_object_new_valist+0x1b6) [0x31cf8162e6]

Program received signal SIGSEGV, Segmentation fault.
0x00000031e0471c6d in WTF::fastMalloc ()
   from /lib64/libjavascriptcoregtk-3.0.so.0

Thread 33 (Thread 0x7fffc3fff700 (LWP 29894)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fffc029048b in queue_processor (data=0xfb5860)
    at /usr/src/debug/icedtea-web-1.4/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:727
#2  0x0000003422207c53 in start_thread (arg=0x7fffc3fff700)
    at pthread_create.c:308
#3  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 32 (Thread 0x7fffd5cf9700 (LWP 29893)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fffc029048b in queue_processor (data=0xfb5860)
    at /usr/src/debug/icedtea-web-1.4/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:727
#2  0x0000003422207c53 in start_thread (arg=0x7fffd5cf9700)
    at pthread_create.c:308
#3  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 31 (Thread 0x7fffc1ffb700 (LWP 29892)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fffc029048b in queue_processor (data=0xfb5860)
    at /usr/src/debug/icedtea-web-1.4/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:727
#2  0x0000003422207c53 in start_thread (arg=0x7fffc1ffb700)
    at pthread_create.c:308
#3  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 30 (Thread 0x7fffa77fe700 (LWP 29889)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000343c224f33 in poll (__timeout=5000, __nfds=1, __fds=0x7fffa77fd790)
    at /usr/include/bits/poll2.h:46
#2  pt_poll_now (op=op@entry=0x7fffa77fd7f0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:641
#3  0x000000343c225e08 in pt_Continue (op=0x7fffa77fd7f0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:706
#4  pt_Recv (fd=0x7fffc400d930, buf=0x7fffc4010c20, amount=5, 
    flags=<optimized out>, timeout=240000)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:1865
#5  0x0000003440c1c6ee in ssl_DefRecv (ss=ss@entry=0x7fffc4010840, 
    buf=<optimized out>, len=5, flags=flags@entry=0) at ssldef.c:62
#6  0x0000003440c17d20 in ssl3_GatherData (flags=0, gs=0x7fffc4010bd0, 
    ss=0x7fffc4010840) at ssl3gthr.c:59
#7  ssl3_GatherCompleteHandshake (ss=ss@entry=0x7fffc4010840, 
    flags=flags@entry=0) at ssl3gthr.c:318
#8  0x0000003440c18334 in ssl3_GatherAppDataRecord (ss=0x7fffc4010840, flags=0)
    at ssl3gthr.c:404
#9  0x0000003440c216e5 in DoRecv (flags=0, len=4096, 
    out=0x7fffc400e820 "* 2 FETCH (UID 68963 FLAGS (\\Seen))\r\n* 3 FETCH (UID 68964 FLAGS (\\Seen))\r\n* 4 FETCH (UID 68965 FLAGS (\\Seen))\r\n* 5 FETCH (UID 68966 FLAGS ())\r\n* 6 FETCH (UID 68967 FLAGS ())\r\n* 7 FETCH (UID 68968 FLAG"..., ss=0x7fffc4010840) at sslsecur.c:535
#10 ssl_SecureRecv (ss=0x7fffc4010840, 
    buf=0x7fffc400e820 "* 2 FETCH (UID 68963 FLAGS (\\Seen))\r\n* 3 FETCH (UID 68964 FLAGS (\\Seen))\r\n* 4 FETCH (UID 68965 FLAGS (\\Seen))\r\n* 5 FETCH (UID 68966 FLAGS ())\r\n* 6 FETCH (UID 68967 FLAGS ())\r\n* 7 FETCH (UID 68968 FLAG"..., len=4096, flags=0) at sslsecur.c:1144
#11 0x0000003440c25381 in ssl_Recv (fd=<optimized out>, buf=0x7fffc400e820, 
    len=4096, flags=0, timeout=240000) at sslsock.c:2071
java version "1.7.0_19"
OpenJDK Runtime Environment (fedora-2.3.9.9.fc19-x86_64)
OpenJDK 64-Bit Server VM (build 23.7-b01, mixed mode)
#12 0x00000031d9eb5b97 in read_from_prfd (fd=0x7fffc400d3d0, 
    buffer=0x7fffc400e820 "* 2 FETCH (UID 68963 FLAGS (\\Seen))\r\n* 3 FETCH (UID 68964 FLAGS (\\Seen))\r\n* 4 FETCH (UID 68965 FLAGS (\\Seen))\r\n* 5 FETCH (UID 68966 FLAGS ())\r\n* 6 FETCH (UID 68967 FLAGS ())\r\n* 7 FETCH (UID 68968 FLAG"..., n=4096, cancellable=0x7fff98001a40, error=0x7fffa77fdbb8)
    at camel-tcp-stream-raw.c:332
#13 0x00000031d9eb2fea in camel_stream_read (stream=0x940dd0, 
    buffer=0x7fffc400e820 "* 2 FETCH (UID 68963 FLAGS (\\Seen))\r\n* 3 FETCH (UID 68964 FLAGS (\\Seen))\r\n* 4 FETCH (UID 68965 FLAGS (\\Seen))\r\n* 5 FETCH (UID 68966 FLAGS ())\r\n* 6 FETCH (UID 68967 FLAGS ())\r\n* 7 FETCH (UID 68968 FLAG"..., n=4096, cancellable=cancellable@entry=0x7fff98001a40, 
    error=error@entry=0x7fffa77fdbb8) at camel-stream.c:123
#14 0x00000031d9ee31a6 in imapx_stream_fill (is=is@entry=0xe97510, 
    cancellable=cancellable@entry=0x7fff98001a40, 
    error=error@entry=0x7fffa77fdbb8) at camel-imapx-stream.c:80
#15 0x00000031d9ee38ea in camel_imapx_stream_token (is=is@entry=0xe97510, 
    data=data@entry=0x7fffa77fdb18, len=len@entry=0x7fffa77fdb14, 
    cancellable=cancellable@entry=0x7fff98001a40, 
    error=error@entry=0x7fffa77fdbb8) at camel-imapx-stream.c:684
#16 0x00000031d9ed8787 in imapx_step (is=is@entry=0x138e2e0, 
    cancellable=cancellable@entry=0x7fff98001a40, 
    error=error@entry=0x7fffa77fdbb8) at camel-imapx-server.c:2889
#17 0x00000031d9ed99d2 in parse_contents (is=0x138e2e0, 
    cancellable=0x7fff98001a40, error=0x7fffa77fdbb8)
    at camel-imapx-server.c:6936
#18 0x00000031d9ed9bbd in imapx_parser_thread (d=0x138e2e0)
    at camel-imapx-server.c:7006
#19 0x0000003424a6c225 in g_thread_proxy (data=0x7fffe8034050) at gthread.c:798
#20 0x0000003422207c53 in start_thread (arg=0x7fffa77fe700)
    at pthread_create.c:308
#21 0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 29 (Thread 0x7fffa7fff700 (LWP 29887)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000343c224f33 in poll (__timeout=5000, __nfds=1, __fds=0x7fffa7ffe790)
    at /usr/include/bits/poll2.h:46
#2  pt_poll_now (op=op@entry=0x7fffa7ffe7f0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:641
#3  0x000000343c225e08 in pt_Continue (op=0x7fffa7ffe7f0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:706
#4  pt_Recv (fd=0x7fffb0010240, buf=0x7fffb0001f10, amount=5, 
    flags=<optimized out>, timeout=240000)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:1865
#5  0x0000003440c1c6ee in ssl_DefRecv (ss=ss@entry=0x7fffb0001b30, 
    buf=<optimized out>, len=5, flags=flags@entry=0) at ssldef.c:62
#6  0x0000003440c17d20 in ssl3_GatherData (flags=0, gs=0x7fffb0001ec0, 
    ss=0x7fffb0001b30) at ssl3gthr.c:59
#7  ssl3_GatherCompleteHandshake (ss=ss@entry=0x7fffb0001b30, 
    flags=flags@entry=0) at ssl3gthr.c:318
#8  0x0000003440c18334 in ssl3_GatherAppDataRecord (ss=0x7fffb0001b30, flags=0)
    at ssl3gthr.c:404
#9  0x0000003440c216e5 in DoRecv (flags=0, len=4096, 
    out=0x7fffb0030650 "* LSUB (\\HasNoChildren) \"/\" \"INBOX\"\r\n* LSUB (\\HasNoChildren) \"/\" \"SMS\"\r\n* LSUB (\\Noselect \\HasChildren) \"/\" \"[Gmail]\"\r\n* LSUB (\\HasNoChildren \\All) \"/\" \"[Gmail]/All Mail\"\r\n* LSUB (\\HasNoChildren \\Draf"..., ss=0x7fffb0001b30) at sslsecur.c:535
#10 ssl_SecureRecv (ss=0x7fffb0001b30, 
    buf=0x7fffb0030650 "* LSUB (\\HasNoChildren) \"/\" \"INBOX\"\r\n* LSUB (\\HasNoChildren) \"/\" \"SMS\"\r\n* LSUB (\\Noselect \\HasChildren) \"/\" \"[Gmail]\"\r\n* LSUB (\\HasNoChildren \\All) \"/\" \"[Gmail]/All Mail\"\r\n* LSUB (\\HasNoChildren \\Draf"..., len=4096, flags=0) at sslsecur.c:1144
#11 0x0000003440c25381 in ssl_Recv (fd=<optimized out>, buf=0x7fffb0030650, 
    len=4096, flags=0, timeout=240000) at sslsock.c:2071
#12 0x00000031d9eb5b97 in read_from_prfd (fd=0x7fffb000ae20, 
    buffer=0x7fffb0030650 "* LSUB (\\HasNoChildren) \"/\" \"INBOX\"\r\n* LSUB (\\HasNoChildren) \"/\" \"SMS\"\r\n* LSUB (\\Noselect \\HasChildren) \"/\" \"[Gmail]\"\r\n* LSUB (\\HasNoChildren \\All) \"/\" \"[Gmail]/All Mail\"\r\n* LSUB (\\HasNoChildren \\Draf"..., n=4096, cancellable=0x7fffbc3a10c0, 
    error=0x7fffa7ffebb8) at camel-tcp-stream-raw.c:332
#13 0x00000031d9eb2fea in camel_stream_read (stream=0x7fffc400c540, 
    buffer=0x7fffb0030650 "* LSUB (\\HasNoChildren) \"/\" \"INBOX\"\r\n* LSUB (\\HasNoChildren) \"/\" \"SMS\"\r\n* LSUB (\\Noselect \\HasChildren) \"/\" \"[Gmail]\"\r\n* LSUB (\\HasNoChildren \\All) \"/\" \"[Gmail]/All Mail\"\r\n* LSUB (\\HasNoChildren \\Draf"..., n=4096, cancellable=cancellable@entry=0x7fffbc3a10c0, 
    error=error@entry=0x7fffa7ffebb8) at camel-stream.c:123
#14 0x00000031d9ee31a6 in imapx_stream_fill (is=is@entry=0x7fffbc037160, 
    cancellable=cancellable@entry=0x7fffbc3a10c0, 
    error=error@entry=0x7fffa7ffebb8) at camel-imapx-stream.c:80
#15 0x00000031d9ee38ea in camel_imapx_stream_token (
    is=is@entry=0x7fffbc037160, data=data@entry=0x7fffa7ffeb18, 
    len=len@entry=0x7fffa7ffeb14, 
    cancellable=cancellable@entry=0x7fffbc3a10c0, 
    error=error@entry=0x7fffa7ffebb8) at camel-imapx-stream.c:684
#16 0x00000031d9ed8787 in imapx_step (is=is@entry=0x7fffbc063a10, 
    cancellable=cancellable@entry=0x7fffbc3a10c0, 
    error=error@entry=0x7fffa7ffebb8) at camel-imapx-server.c:2889
#17 0x00000031d9ed99d2 in parse_contents (is=0x7fffbc063a10, 
    cancellable=0x7fffbc3a10c0, error=0x7fffa7ffebb8)
    at camel-imapx-server.c:6936
#18 0x00000031d9ed9bbd in imapx_parser_thread (d=0x7fffbc063a10)
    at camel-imapx-server.c:7006
#19 0x0000003424a6c225 in g_thread_proxy (data=0x7fffd001b6d0) at gthread.c:798
#20 0x0000003422207c53 in start_thread (arg=0x7fffa7fff700)
    at pthread_create.c:308
#21 0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 28 (Thread 0x7fffa6ffd700 (LWP 29881)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000031e1abcf3b in WebCore::IconDatabase::syncThreadMainLoop ()
   from /lib64/libwebkitgtk-3.0.so.0
#2  0x00000031e1abd127 in WebCore::IconDatabase::iconDatabaseSyncThread ()
   from /lib64/libwebkitgtk-3.0.so.0
#3  0x00000031e0485236 in wtfThreadEntryPoint ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#4  0x0000003422207c53 in start_thread (arg=0x7fffa6ffd700)
    at pthread_create.c:308
#5  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 27 (Thread 0x7fffa5ffb700 (LWP 29880)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000031e046f516 in WTF::TCMalloc_PageHeap::scavengerThread ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#2  0x00000031e046f549 in WTF::TCMalloc_PageHeap::runScavengerThread ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#3  0x0000003422207c53 in start_thread (arg=0x7fffa5ffb700)
    at pthread_create.c:308
#4  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 23 (Thread 0x7fff97fff700 (LWP 29875)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000343c224f33 in poll (__timeout=5000, __nfds=1, __fds=0x7fff97ffe8b0)
    at /usr/include/bits/poll2.h:46
#2  pt_poll_now (op=op@entry=0x7fff97ffe910)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:641
#3  0x000000343c225e08 in pt_Continue (op=0x7fff97ffe910)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:706
#4  pt_Recv (fd=0x7fffb8006b40, buf=0x7fffb8008000, amount=4096, 
    flags=<optimized out>, timeout=240000)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:1865
#5  0x00000031d9eb5b97 in read_from_prfd (fd=0x7fffb8006b40, 
    buffer=0x7fffb8008000 "C00026 OK FETCH completed.\r\nlagged \\Deleted \\Seen \\Recent)\r\n* OK [PERMANENTFLAGS (\\Draft \\Answered \\Flagged \\Deleted \\Seen)] Limited\r\n* 0 EXISTS\r\n* 0 RECENT\r\n* OK [UIDVALIDITY 1087836737] Ok\r\n* OK [MY"..., n=4096, cancellable=0x7fffa0006060, error=0x7fff97ffebb8)
    at camel-tcp-stream-raw.c:332
#6  0x00000031d9eb2fea in camel_stream_read (stream=0x7fffe4007710, 
    buffer=0x7fffb8008000 "C00026 OK FETCH completed.\r\nlagged \\Deleted \\Seen \\Recent)\r\n* OK [PERMANENTFLAGS (\\Draft \\Answered \\Flagged \\Deleted \\Seen)] Limited\r\n* 0 EXISTS\r\n* 0 RECENT\r\n* OK [UIDVALIDITY 1087836737] Ok\r\n* OK [MY"..., n=4096, cancellable=cancellable@entry=0x7fffa0006060, 
    error=error@entry=0x7fff97ffebb8) at camel-stream.c:123
#7  0x00000031d9ee31a6 in imapx_stream_fill (is=is@entry=0x7fffc400e3c0, 
    cancellable=cancellable@entry=0x7fffa0006060, 
    error=error@entry=0x7fff97ffebb8) at camel-imapx-stream.c:80
#8  0x00000031d9ee38ea in camel_imapx_stream_token (
    is=is@entry=0x7fffc400e3c0, data=data@entry=0x7fff97ffeb18, 
    len=len@entry=0x7fff97ffeb14, 
    cancellable=cancellable@entry=0x7fffa0006060, 
    error=error@entry=0x7fff97ffebb8) at camel-imapx-stream.c:684
#9  0x00000031d9ed8787 in imapx_step (is=is@entry=0x138ee60, 
    cancellable=cancellable@entry=0x7fffa0006060, 
    error=error@entry=0x7fff97ffebb8) at camel-imapx-server.c:2889
#10 0x00000031d9ed99d2 in parse_contents (is=0x138ee60, 
    cancellable=0x7fffa0006060, error=0x7fff97ffebb8)
    at camel-imapx-server.c:6936
#11 0x00000031d9ed9bbd in imapx_parser_thread (d=0x138ee60)
    at camel-imapx-server.c:7006
#12 0x0000003424a6c225 in g_thread_proxy (data=0x7fffb800b230) at gthread.c:798
#13 0x0000003422207c53 in start_thread (arg=0x7fff97fff700)
    at pthread_create.c:308
#14 0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 22 (Thread 0x7fffa4ff9700 (LWP 29873)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000343c224f33 in poll (__timeout=5000, __nfds=1, __fds=0x7fffa4ff8790)
    at /usr/include/bits/poll2.h:46
#2  pt_poll_now (op=op@entry=0x7fffa4ff87f0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:641
#3  0x000000343c225e08 in pt_Continue (op=0x7fffa4ff87f0)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:706
#4  pt_Recv (fd=0x7fffbc019d50, buf=0x7fffbc00dbe0, amount=5, 
    flags=<optimized out>, timeout=240000)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptio.c:1865
#5  0x0000003440c1c6ee in ssl_DefRecv (ss=ss@entry=0x7fffbc00d800, 
    buf=<optimized out>, len=5, flags=flags@entry=0) at ssldef.c:62
#6  0x0000003440c17d20 in ssl3_GatherData (flags=0, gs=0x7fffbc00db90, 
    ss=0x7fffbc00d800) at ssl3gthr.c:59
#7  ssl3_GatherCompleteHandshake (ss=ss@entry=0x7fffbc00d800, 
    flags=flags@entry=0) at ssl3gthr.c:318
#8  0x0000003440c18334 in ssl3_GatherAppDataRecord (ss=0x7fffbc00d800, flags=0)
    at ssl3gthr.c:404
#9  0x0000003440c216e5 in DoRecv (flags=0, len=4096, 
    out=0x7fffbc037800 ")\r\n* 159 FETCH (UID 792 RFC822.SIZE 6418 FLAGS (\\Seen) RFC822.HEADER {1845}\r\nReturn-Path:\r\n <20120926192659499cf4f97d094d71a3c5270be6efe264@bounces.amazon.com>\r\nX-Spam-Checker-Version: SpamAssassin 3."..., 
    ss=0x7fffbc00d800) at sslsecur.c:535
#10 ssl_SecureRecv (ss=0x7fffbc00d800, 
    buf=0x7fffbc037800 ")\r\n* 159 FETCH (UID 792 RFC822.SIZE 6418 FLAGS (\\Seen) RFC822.HEADER {1845}\r\nReturn-Path:\r\n <20120926192659499cf4f97d094d71a3c5270be6efe264@bounces.amazon.com>\r\nX-Spam-Checker-Version: SpamAssassin 3."..., 
    len=4096, flags=0) at sslsecur.c:1144
#11 0x0000003440c25381 in ssl_Recv (fd=<optimized out>, buf=0x7fffbc037800, 
    len=4096, flags=0, timeout=240000) at sslsock.c:2071
#12 0x00000031d9eb5b97 in read_from_prfd (fd=0x7fffbc00cbb0, 
    buffer=0x7fffbc037800 ")\r\n* 159 FETCH (UID 792 RFC822.SIZE 6418 FLAGS (\\Seen) RFC822.HEADER {1845}\r\nReturn-Path:\r\n <20120926192659499cf4f97d094d71a3c5270be6efe264@bounces.amazon.com>\r\nX-Spam-Checker-Version: SpamAssassin 3."..., n=4096, cancellable=0x7fffb800cea0, error=0x7fffa4ff8bb8)
    at camel-tcp-stream-raw.c:332
#13 0x00000031d9eb2fea in camel_stream_read (stream=0x7fffc400c4b0, 
    buffer=0x7fffbc037800 ")\r\n* 159 FETCH (UID 792 RFC822.SIZE 6418 FLAGS (\\Seen) RFC822.HEADER {1845}\r\nReturn-Path:\r\n <20120926192659499cf4f97d094d71a3c5270be6efe264@bounces.amazon.com>\r\nX-Spam-Checker-Version: SpamAssassin 3."..., n=4096, cancellable=cancellable@entry=0x7fffb800cea0, 
    error=error@entry=0x7fffa4ff8bb8) at camel-stream.c:123
#14 0x00000031d9ee31a6 in imapx_stream_fill (is=is@entry=0x7fffb8007a90, 
    cancellable=cancellable@entry=0x7fffb800cea0, 
    error=error@entry=0x7fffa4ff8bb8) at camel-imapx-stream.c:80
#15 0x00000031d9ee38ea in camel_imapx_stream_token (
    is=is@entry=0x7fffb8007a90, data=data@entry=0x7fffa4ff8b18, 
    len=len@entry=0x7fffa4ff8b14, 
    cancellable=cancellable@entry=0x7fffb800cea0, 
    error=error@entry=0x7fffa4ff8bb8) at camel-imapx-stream.c:684
#16 0x00000031d9ed8787 in imapx_step (is=is@entry=0x138e8a0, 
    cancellable=cancellable@entry=0x7fffb800cea0, 
    error=error@entry=0x7fffa4ff8bb8) at camel-imapx-server.c:2889
#17 0x00000031d9ed99d2 in parse_contents (is=0x138e8a0, 
    cancellable=0x7fffb800cea0, error=0x7fffa4ff8bb8)
    at camel-imapx-server.c:6936
#18 0x00000031d9ed9bbd in imapx_parser_thread (d=0x138e8a0)
    at camel-imapx-server.c:7006
#19 0x0000003424a6c225 in g_thread_proxy (data=0x7fffbc03a400) at gthread.c:798
#20 0x0000003422207c53 in start_thread (arg=0x7fffa4ff9700)
    at pthread_create.c:308
#21 0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7fffc2ffd700 (LWP 29858)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003424a87655 in g_cond_wait_until (cond=cond@entry=0x94d648, 
    mutex=mutex@entry=0x94d640, end_time=end_time@entry=437013048802)
    at gthread-posix.c:859
#2  0x0000003424a1ead1 in g_async_queue_pop_intern_unlocked (
    queue=queue@entry=0x94d640, wait=wait@entry=1, 
    end_time=end_time@entry=437013048802) at gasyncqueue.c:424
#3  0x0000003424a1f05b in g_async_queue_timeout_pop (queue=0x94d640, 
    timeout=timeout@entry=15000000) at gasyncqueue.c:545
#4  0x0000003424a6ccb6 in g_thread_pool_wait_for_new_pool ()
    at gthreadpool.c:169
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:366
#6  0x0000003424a6c225 in g_thread_proxy (data=0x7fffe8032ed0) at gthread.c:798
#7  0x0000003422207c53 in start_thread (arg=0x7fffc2ffd700)
    at pthread_create.c:308
#8  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7fffc37fe700 (LWP 29857)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003424a87655 in g_cond_wait_until (cond=cond@entry=0xa8c248, 
    mutex=mutex@entry=0xa8c240, end_time=end_time@entry=436999366978)
    at gthread-posix.c:859
#2  0x0000003424a1ead1 in g_async_queue_pop_intern_unlocked (queue=0xa8c240, 
    wait=wait@entry=1, end_time=436999366978) at gasyncqueue.c:424
#3  0x0000003424a1f098 in g_async_queue_timeout_pop_unlocked (
    queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:572
#4  0x0000003424a6cbb8 in g_thread_pool_wait_for_new_task (pool=0xa943c0)
    at gthreadpool.c:264
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:298
#6  0x0000003424a6c225 in g_thread_proxy (data=0x1134590) at gthread.c:798
#7  0x0000003422207c53 in start_thread (arg=0x7fffc37fe700)
    at pthread_create.c:308
#8  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fffc8ffe700 (LWP 29855)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x0000003424a87567 in g_cond_wait (cond=cond@entry=0x7fffbc38c2f8, 
    mutex=mutex@entry=0x7fffbc38c308) at gthread-posix.c:750
#2  0x00000031d9ecc02b in camel_imapx_job_wait (job=job@entry=0x7fffbc38c2c0)
    at camel-imapx-job.c:170
#3  0x00000031d9ecc26c in camel_imapx_job_run (job=job@entry=0x7fffbc38c2c0, 
    is=is@entry=0x138e8a0, error=error@entry=0x7fffc8ffdb68)
    at camel-imapx-job.c:219
#4  0x00000031d9ecf272 in imapx_submit_job (is=is@entry=0x138e8a0, 
    job=job@entry=0x7fffbc38c2c0, error=error@entry=0x7fffc8ffdb68)
    at camel-imapx-server.c:3063
#5  0x00000031d9ecf329 in imapx_server_fetch_new_messages (
    is=is@entry=0x138e8a0, folder=folder@entry=0x7fffb8040a10, 
    async=async@entry=0, update_unseen=update_unseen@entry=0, 
    cancellable=cancellable@entry=0x7fffe80325e0, 
    error=error@entry=0x7fffc8ffdb68) at camel-imapx-server.c:3227
#6  0x00000031d9edaced in imapx_job_refresh_info_start (job=0x7fffbc38c240, 
    is=0x138e8a0, cancellable=0x7fffe80325e0, error=0x7fffc8ffdb68)
    at camel-imapx-server.c:5874
#7  0x00000031d9ecc1d5 in camel_imapx_job_run (job=job@entry=0x7fffbc38c240, 
    is=is@entry=0x138e8a0, error=error@entry=0x7fffc8ffdb68)
    at camel-imapx-job.c:216
#8  0x00000031d9edb1a0 in camel_imapx_server_refresh_info (
    is=is@entry=0x138e8a0, folder=folder@entry=0x7fffb8040a10, 
    cancellable=cancellable@entry=0x7fffe80325e0, 
    error=error@entry=0x7fffc8ffdb68) at camel-imapx-server.c:7777
#9  0x00000031d9ec9e8a in imapx_refresh_info_sync (folder=0x7fffb8040a10, 
    cancellable=0x7fffe80325e0, error=0x7fffc8ffdb68)
    at camel-imapx-folder.c:758
#10 0x00000031d9e6684c in camel_folder_refresh_info_sync (
    folder=folder@entry=0x7fffb8040a10, 
    cancellable=cancellable@entry=0x7fffe80325e0, 
    error=error@entry=0x7fffc8ffdb68) at camel-folder.c:4128
#11 0x00007fffdf11b342 in refresh_folders_exec (m=0x7fffe8032d90, 
    cancellable=0x7fffe80325e0, error=<optimized out>) at mail-send-recv.c:1049
#12 0x00000031e5221587 in mail_msg_proxy (msg=0x7fffe8032d90) at mail-mt.c:426
#13 0x0000003424a6cbe6 in g_thread_pool_thread_proxy (data=<optimized out>)
    at gthreadpool.c:309
#14 0x0000003424a6c225 in g_thread_proxy (data=0x1134770) at gthread.c:798
#15 0x0000003422207c53 in start_thread (arg=0x7fffc8ffe700)
    at pthread_create.c:308
#16 0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7fffd4d6d700 (LWP 29854)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003424a87655 in g_cond_wait_until (cond=cond@entry=0x11a54c8, 
    mutex=mutex@entry=0x11a54c0, end_time=end_time@entry=436999614227)
    at gthread-posix.c:859
#2  0x0000003424a1ead1 in g_async_queue_pop_intern_unlocked (queue=0x11a54c0, 
    wait=wait@entry=1, end_time=436999614227) at gasyncqueue.c:424
#3  0x0000003424a1f098 in g_async_queue_timeout_pop_unlocked (
    queue=<optimized out>, timeout=timeout@entry=500000) at gasyncqueue.c:572
#4  0x0000003424a6cbb8 in g_thread_pool_wait_for_new_task (pool=0x1234890)
    at gthreadpool.c:264
#5  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:298
#6  0x0000003424a6c225 in g_thread_proxy (data=0x7fffe8032d40) at gthread.c:798
#7  0x0000003422207c53 in start_thread (arg=0x7fffd4d6d700)
    at pthread_create.c:308
#8  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fffed576700 (LWP 29847)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003424a48194 in g_main_context_poll (priority=2147483647, n_fds=1, 
    fds=0x7fffd8084660, timeout=-1, context=0x761c50) at gmain.c:3995
#2  g_main_context_iterate (context=0x761c50, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x0000003424a485fa in g_main_loop_run (loop=0x7d78a0) at gmain.c:3895
#4  0x00000031d34497d4 in source_registry_object_manager_thread (data=0x79df80)
    at e-source-registry.c:1105
#5  0x0000003424a6c225 in g_thread_proxy (data=0x7fffe8003cf0) at gthread.c:798
#6  0x0000003422207c53 in start_thread (arg=0x7fffed576700)
    at pthread_create.c:308
#7  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fffedd77700 (LWP 29846)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003424a48194 in g_main_context_poll (priority=2147483647, n_fds=1, 
    fds=0x7fffe40010c0, timeout=-1, context=0x731d10) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x731d10, 
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3696
#3  0x0000003424a4829c in g_main_context_iteration (
    context=context@entry=0x731d10, may_block=may_block@entry=1)
    at gmain.c:3762
#4  0x00007fffedd7e9ad in dconf_gdbus_worker_thread (user_data=0x731d10)
    at dconf-gdbus-thread.c:81
#5  0x0000003424a6c225 in g_thread_proxy (data=0x6ff0f0) at gthread.c:798
#6  0x0000003422207c53 in start_thread (arg=0x7fffedd77700)
    at pthread_create.c:308
#7  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fffee7c4700 (LWP 29845)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003424a48194 in g_main_context_poll (priority=2147483647, n_fds=1, 
    fds=0x7fffe00008c0, timeout=-1, context=0x70a300) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x70a300, 
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3696
#3  0x0000003424a4829c in g_main_context_iteration (context=0x70a300, 
    may_block=may_block@entry=1) at gmain.c:3762
#4  0x0000003424a482e9 in glib_worker_main (data=<optimized out>)
    at gmain.c:5427
#5  0x0000003424a6c225 in g_thread_proxy (data=0x6b8a80) at gthread.c:798
#6  0x0000003422207c53 in start_thread (arg=0x7fffee7c4700)
    at pthread_create.c:308
#7  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fffef83e700 (LWP 29844)):
#0  0x0000003421eea8fd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003424a48194 in g_main_context_poll (priority=2147483647, n_fds=3, 
    fds=0x7fffe80010c0, timeout=-1, context=0x64e420) at gmain.c:3995
#2  g_main_context_iterate (context=0x64e420, block=block@entry=1, 
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x0000003424a485fa in g_main_loop_run (loop=0x64e3b0) at gmain.c:3895
#4  0x00000031d1cc6b96 in gdbus_shared_thread_func (user_data=0x64e3f0)
    at gdbusprivate.c:278
#5  0x0000003424a6c225 in g_thread_proxy (data=0x6880f0) at gthread.c:798
#6  0x0000003422207c53 in start_thread (arg=0x7fffef83e700)
    at pthread_create.c:308
#7  0x0000003421ef4ecd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7ffff6316a40 (LWP 29840)):
#0  0x00000031e0471c6d in WTF::fastMalloc ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#1  0x00000031e0496950 in WTF::StringImpl::createUninitialized ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#2  0x00000031e0499f2c in WTF::StringImpl::create ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#3  0x00000031e0499fb0 in WTF::StringImpl::create ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#4  0x00000031e049d177 in WTF::String::String ()
   from /lib64/libjavascriptcoregtk-3.0.so.0
#5  0x00000031e246276f in WebCore::PluginPackage::fetchInfo ()
   from /lib64/libwebkitgtk-3.0.so.0
#6  0x00000031e1bab5c6 in WebCore::PluginPackage::createPackage ()
   from /lib64/libwebkitgtk-3.0.so.0
#7  0x00000031e1ba5585 in WebCore::PluginDatabase::refresh ()
   from /lib64/libwebkitgtk-3.0.so.0
#8  0x00000031e1ba6692 in WebCore::PluginDatabase::installedPlugins ()
   from /lib64/libwebkitgtk-3.0.so.0
#9  0x00000031e143ca7a in webkit_web_plugin_database_init ()
   from /lib64/libwebkitgtk-3.0.so.0
#10 0x00000031cf82fa9c in g_type_create_instance (type=19757312)
    at gtype.c:1917
#11 0x00000031cf814598 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=0, construct_params=0x0) at gobject.c:1855
#12 0x00000031cf816011 in g_object_newv (
    object_type=object_type@entry=19757312, n_parameters=n_parameters@entry=0, 
    parameters=parameters@entry=0x0) at gobject.c:1638
#13 0x00000031cf81666c in g_object_new (object_type=19757312, 
    first_property_name=0x0) at gobject.c:1548
#14 0x00000031e143cd95 in webkit_web_plugin_database_new ()
   from /lib64/libwebkitgtk-3.0.so.0
#15 0x00000031e1427225 in webkit_get_web_plugin_database ()
   from /lib64/libwebkitgtk-3.0.so.0
#16 0x00000031df14a9bb in web_view_disable_webkit_3rd_party_plugins (
    unused=<optimized out>) at e-web-view.c:1342
#17 0x0000003424a6c2e8 in g_once_impl (
    once=once@entry=0x31df3ddf90 <disable_webkit_3rd_party_plugins_once>, 
    func=func@entry=0x31df14a9b0 <web_view_disable_webkit_3rd_party_plugins>, 
    arg=arg@entry=0x0) at gthread.c:624
#18 0x00000031df14f995 in e_web_view_init (web_view=0x12da0d0)
    at e-web-view.c:1599
#19 0x00000031cf82fa50 in g_type_create_instance (type=8428944) at gtype.c:1909
#20 0x00000031cf814598 in g_object_constructor (type=<optimized out>, 
    n_construct_properties=5, construct_params=0x1376c70) at gobject.c:1855
#21 0x00000031cf815b19 in g_object_newv (
    object_type=object_type@entry=8428944, n_parameters=n_parameters@entry=1, 
    parameters=parameters@entry=0x12ebdf0) at gobject.c:1719
#22 0x00000031cf8162e6 in g_object_new_valist (
    object_type=object_type@entry=8428944, 
    first_property_name=first_property_name@entry=0x7fffdf12adad "headers-collapsable", var_args=var_args@entry=0x7fffffffcbc8) at gobject.c:1836
#23 0x00000031cf816654 in g_object_new (object_type=8428944, 
    first_property_name=first_property_name@entry=0x7fffdf12adad "headers-collapsable") at gobject.c:1551
#24 0x00007fffdf0e8fb1 in mail_paned_view_constructed (object=0x1109610)
    at e-mail-paned-view.c:639
#25 0x00000031cf815f95 in g_object_newv (
    object_type=object_type@entry=16945600, n_parameters=n_parameters@entry=1, 
    parameters=parameters@entry=0x1180020) at gobject.c:1747
#26 0x00000031cf8162e6 in g_object_new_valist (
    object_type=object_type@entry=16945600, 
    first_property_name=first_property_name@entry=0x7fffdf12be52 "shell-view", 
    var_args=var_args@entry=0x7fffffffce78) at gobject.c:1836
#27 0x00000031cf816654 in g_object_new (object_type=16945600, 
    first_property_name=first_property_name@entry=0x7fffdf12be52 "shell-view")
    at gobject.c:1551
#28 0x00007fffdf0e947c in e_mail_paned_view_new (
    shell_view=shell_view@entry=0x1223930) at e-mail-paned-view.c:1066
#29 0x00007fffde41a792 in mail_shell_content_constructed (object=0x116a410)
    at e-mail-shell-content.c:204
#30 0x00000031cf815f95 in g_object_newv (
    object_type=object_type@entry=8268416, n_parameters=n_parameters@entry=1, 
    parameters=parameters@entry=0x1105be0) at gobject.c:1747
#31 0x00000031cf8162e6 in g_object_new_valist (
    object_type=object_type@entry=8268416, 
    first_property_name=first_property_name@entry=0x7fffde428273 "shell-view", 
    var_args=var_args@entry=0x7fffffffd0f8) at gobject.c:1836
#32 0x00000031cf816654 in g_object_new (object_type=8268416, 
    first_property_name=0x7fffde428273 "shell-view") at gobject.c:1551
#33 0x00000031e0822305 in shell_view_constructed (object=0x1223930)
    at e-shell-view.c:603
#34 0x00007fffde41d6bb in mail_shell_view_constructed (object=0x1223930)
    at e-mail-shell-view.c:232
#35 0x00000031cf815f95 in g_object_newv (
    object_type=object_type@entry=7891296, n_parameters=n_parameters@entry=3, 
    parameters=parameters@entry=0x13af460) at gobject.c:1747
#36 0x00000031cf8162e6 in g_object_new_valist (
    object_type=object_type@entry=7891296, 
    first_property_name=first_property_name@entry=0x31e082abb2 "action", 
    var_args=var_args@entry=0x7fffffffd3a8) at gobject.c:1836
#37 0x00000031cf816654 in g_object_new (object_type=object_type@entry=7891296, 
    first_property_name=first_property_name@entry=0x31e082abb2 "action")
    at gobject.c:1551
#38 0x00000031e082494e in shell_window_create_shell_view (
    shell_window=0x12ec040, view_name=<optimized out>) at e-shell-window.c:702
#39 0x00000031e08243ac in e_shell_window_get_shell_view (
    shell_window=shell_window@entry=0x12ec040, 
    view_name=view_name@entry=0x13c3870 "mail") at e-shell-window.c:1107
#40 0x00000031e0825208 in e_shell_window_set_active_view (
    shell_window=0x12ec040, view_name=0x13c3870 "mail")
    at e-shell-window.c:1349
#41 0x00000031e0825b46 in shell_window_set_property (object=0x12ec040, 
    property_id=<optimized out>, value=<optimized out>, pspec=<optimized out>)
    at e-shell-window.c:253
#42 0x00000031cf817569 in object_set_property (nqueue=0xaf12c0, 
    value=0x7fffffffd620, pspec=0x1018520, object=0x12ec040) at gobject.c:1358
#43 g_object_set_property (object=0x12ec040, property_name=<optimized out>, 
    value=value@entry=0x7fffffffd620) at gobject.c:2155
#44 0x00000031d1ca6ecc in g_settings_binding_key_changed (
    settings=settings@entry=0x7fffb800b720, key=<optimized out>, 
    user_data=user_data@entry=0x110a500) at gsettings.c:2423
#45 0x00000031d1ca970e in g_settings_bind_with_mapping (
    settings=0x7fffb800b720, key=0x31e0829e55 "default-component-id", 
    object=0x12ec040, property=<optimized out>, flags=<optimized out>, 
    get_mapping=0x0, set_mapping=0x0, user_data=user_data@entry=0x0, 
    destroy=destroy@entry=0x0) at gsettings.c:2720
#46 0x00000031d1ca9af7 in g_settings_bind (
    settings=settings@entry=0x7fffb800b720, 
    key=key@entry=0x31e0829e55 "default-component-id", 
    object=object@entry=0x12ec040, 
    property=property@entry=0x31e082d387 "active-view", flags=<optimized out>, 
    flags@entry=G_SETTINGS_BIND_GET_NO_CHANGES) at gsettings.c:2548
#47 0x00000031e0826ebe in e_shell_window_private_constructed (
    shell_window=0x12ec040) at e-shell-window-private.c:415
#48 0x00000031e0823e74 in shell_window_constructed (object=0x12ec040)
    at e-shell-window.c:398
#49 0x00000031cf815f95 in g_object_newv (
    object_type=object_type@entry=8508464, n_parameters=n_parameters@entry=3, 
    parameters=parameters@entry=0x13b5110) at gobject.c:1747
#50 0x00000031cf8162e6 in g_object_new_valist (
    object_type=object_type@entry=8508464, 
    first_property_name=first_property_name@entry=0x31e0829e40 "shell", 
    var_args=var_args@entry=0x7fffffffd8d8) at gobject.c:1836
#51 0x00000031cf816654 in g_object_new (object_type=8508464, 
    first_property_name=first_property_name@entry=0x31e0829e40 "shell")
    at gobject.c:1551
#52 0x00000031e0823fc8 in e_shell_window_new (shell=shell@entry=0x80a000, 
    safe_mode=1, geometry=0x0) at e-shell-window.c:1049
#53 0x00000031e081450e in e_shell_create_shell_window (
    shell=shell@entry=0x80a000, view_name=0x0) at e-shell.c:1522
#54 0x0000000000403bfe in idle_cb (uris=0x0) at main.c:250
#55 0x0000003424a47ea6 in g_main_dispatch (context=0x649df0) at gmain.c:3054
#56 g_main_context_dispatch (context=context@entry=0x649df0) at gmain.c:3630
#57 0x0000003424a481f8 in g_main_context_iterate (context=0x649df0, 
    block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3701
#58 0x0000003424a485fa in g_main_loop_run (loop=0x1308860) at gmain.c:3895
#59 0x00000031d7b8a27d in gtk_main () at gtkmain.c:1156
#60 0x00000000004038b9 in main (argc=1, argv=0x7fffffffdd28) at main.c:707
A debugging session is active.

	Inferior 1 [process 29840] will be killed.

Quit anyway? (y or n)
Comment 3 piio 2013-06-01 12:33:22 EDT
Hi,

I got similar problem on x86 arch, after some investigation i found that that segfault start happening after install google-talkplugin.
When I removed that plugin evolution starts working again.
Comment 4 Milan Crha 2013-06-03 06:55:51 EDT
(In reply to Harold Campbell from comment #2)
> No bp log location saved, using default.
> [000:000] Browser XEmbed support present: 1
> [000:001] Browser toolkit is Gtk2.
> [000:585] Using Gtk2 toolkit

The above is suspicious, because gtk2 and gtk3 applications/libraries cannot run in together (within in gtk3 application). it might, or might not be related.

(In reply to piio from comment #3)
> I got similar problem on x86 arch, after some investigation i found that
> that segfault start happening after install google-talkplugin.
> When I removed that plugin evolution starts working again.

Thanks for the investigation. The only thing I see from the backtrace is that it crashes when webkitgtk3 tries to create a list of installed plugins, but which it is is not shown in there.

I would move this to google-talkplugin, but it doesn't seem to be part of Fedora standard repositories.

Harold, do you have google-talkplugin installed too?
Comment 5 Harold Campbell 2013-06-03 13:32:59 EDT
I did, and removing it solved the crash. I seem to recall reading a blog post about updated plugin stuff in webkitgtk3 for gnome 3.8...
Comment 6 Milan Crha 2013-06-04 06:22:38 EDT
Thanks for the update. In that case I'm closing this, because it's an issue of gnome-talkplugin.
Comment 7 Milan Crha 2013-06-11 02:14:01 EDT
*** Bug 972515 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.